<?php
	class template
	{
		var $rootdir = '';
		var $prev_rootdir = '';

		/* The xslfiles will be loaded up and merged into $xsldata */
		var $xslfiles = Array();
		var	$xsldata = '';
		
		/* Users can set $vars which will be converted into xmldata before xsl processing */
		/* Or they can generate their own XML data and set it directly when they have */
		/* need for a more robust schema */
		var $vars = Array();
		var $xmlvars = Array();
		var $xmldata = '';
		
		/* the var2xml function attempts to keep the xml nicely formated. */
		/* use this to use either tabs or spaces for it */
		//var $indentstring = "\t";
		var $indentstring = "  ";
		
		function template($root = '.')
		{
			if(@isset($GLOBALS['phpgw_info']['flags']['printview']) && $GLOBALS['phpgw_info']['flags']['printview'] == True)
			{
				$this->print = True;
			}
			$this->set_root($root);
		}
	
		function set_root($rootdir)
		{
			if (!is_dir($rootdir))
			{
				$this->halt('set_root: '.$rootdir.' is not a directory.');
				return False;
			}
			$this->prev_rootdir = $this->rootdir;
			$this->rootdir = $rootdir;
			return True;
		}

		function reset_root()
		{
			$this->rootdir = $this->prev_rootdir;
		}

		function add_file($filename,$root='',$time=1)
		{
			if (!is_array($filename))
			{
				if($rootdir=='')
				{
					$rootdir=$this->rootdir;
				}
				if (substr($filename, 0, 1) != '/')
				{
					$new_filename = $rootdir.'/'.$filename;
				}
				else
				{
					$new_filename = $filename;
				}
				if ($this->print && $time!=2 && $time!=4)
				{
					$new_filename = $new_filename.'_print';
				}


				if (!file_exists($new_filename.'.xsl'))
				{
					switch($time)
					{
						case 2:
							$new_root = str_replace($GLOBALS['phpgw_info']['server']['template_set'],'default',$root);
							$new_filename = $this->add_file($filename,$new_root,3);
							break;
						case 3:
							$new_filename = $this->add_file($filename,$root,4);
							break;
						case 4:
							$this->halt("filename: file $new_filename.xsl does not exist.");
							break;
						default:
							if (!$this->print)
							{
								$new_root = str_replace($GLOBALS['phpgw_info']['server']['template_set'],'default',$root);
								$new_filename = $this->add_file(str_replace($root.'/','',$new_filename),$new_root,4);
							}
							else
							{
								$new_filename = $this->add_file($filename,$root,2);
							}
					}
				}
				$this->xslfiles[$filename] = $new_filename.'.xsl';
			}
			else
			{
				reset($filename);
				while(list(,$file) = each($filename))
				{
					$this->add_file($file);
				}
			}
		}

		function var2xml ($name, $value, $indent = 1)
		{
			$indentstring = $this->indentstring;
			for ($i = 0; $i < $indent; $i++)
			{
				$indentstring .= $this->indentstring;
			}
			if (!is_array($value))
			{
				$xml = $indentstring.'<'.$name.'>'.$value.'</'.$name.'>'."\n";
			}
			else
			{
				if($indent === 1)
				{
					$isindex = False;
				}
				else
				{
					$isindex = True;
					while (list ($idxkey, $idxval) = each ($value))
					{
						if ($idxkey !== (int)$idxkey)
						{
							$isindex = False;
						}
					}
				}
				
				reset($value);	
				while (list ($key, $val) = each ($value))
				{
					if($indent === 1)
					{
						$keyname = $name;
						$nextkey = $key;
					}
					elseif($isindex)
					{
						$keyname = $name;
						$nextkey = $name;
					}
					else
					{
						$keyname = $key;
						$nextkey = $key;
					}
		
					if (is_array($val))
					{
						$xml .= $indentstring.'<'.$keyname.'>'."\n";
						$xml .= $this->var2xml ($nextkey, $val, $indent+1);
						$xml .= $indentstring.'</'.$keyname.'>'."\n";
					}
					else
					{
						$xml .= $this->var2xml ($nextkey, $val, $indent);
					}
				}
			}
			return $xml;
		}
		
		function set_var($name, $value, $append = False, $context='APPDATA')
		{
			if(!is_array($value) && $append)
			{
				$this->vars[$context][$name] .= $value;
			}
			else
			{
				$this->vars[$context][$name] = $value;
			}
		}
	
		function set_xml($xml, $context = 'APPDATA', $append = False)
		{
			if(!$append)
			{
				$this->xmlvars[$context] = $xml;
			}
			else
			{
				$this->xmlvar[$context] .= $xml;
			}
		}

		function get_var($name, $context='APPDATA')
		{
			return $this->vars[$context][$name];
		}
		
		function get_vars($context='APPDATA')
		{
			return $this->vars[$context];
		}

		function get_xml($context='APPDATA')
		{
			return $this->xmlvars[$context];
		}

		function parse()
		{
			if(count($this->xslfiles) > 0)
			{
				$this->xsldata = '<?xml version="1.0"?>'."\n";
				$this->xsldata .= '<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">'."\n";
				while(list(,$xslfile) = each($this->xslfiles))
				{
					$fd = fopen ($xslfile, "r");
					$this->xsldata .= fread($fd, filesize($xslfile));
					fclose ($fd);
				}
				$this->xsldata .= '</xsl:stylesheet>'."\n";
//echo $this->xsldata;
//exit;

				$this->xmldata = "<?xml version=\"1.0\"?>\n";
				/*$xml .= "<?xml-stylesheet type=\"text/xsl\" href=\"nto.xsl\"?>\n";*/
				$this->xmldata .= "<PHPGW>\n";
				$this->xmldata .= $this->indentstring."<PHPGW_TOPPART/><PHPGW_RIGHTPART/><PHPGW_BODYPART/><PHPGW_LEFTPART/><PHPGW_BOTTOMPART/>\n";

				$xmlvars = $this->xmlvars;
				
				/* auto generate xml based on vars */
				while(list($varkey,$varval) = each($this->vars))
				{
					if(is_array($varval))
					{
						while(list($k,$v) = each($varval))
						{
							$xmlvars[$varkey] .=  $this->var2xml($k, $v);
						}
					}
				}
				while(list($key,$value) = each($xmlvars))
				{
					if($value != '')
					{
						$this->xmldata .= $this->indentstring."<$key>\n";
						$this->xmldata .= $value;
						$this->xmldata .= $this->indentstring."</$key>\n";
					}
				}
				unset($xmlvars);
				$this->xmldata .= "</PHPGW>\n";
//echo $this->xmldata;
//exit;

				$xsltproc = xslt_create();

				$minor = explode(".",phpversion());
				if($minor[1] >= 1) // PHP 4.1.x -- preferred
				{
					$arguments = array('/_xml' => $this->xmldata, '/_xsl' => $this->xsldata);
					$html = xslt_process($xsltproc,'arg:/_xml','arg:/_xsl',NULL,$arguments);
				}
				else // PHP 4.0.6 -- works okay
				{
					xslt_process($this->xsldata, $this->xmldata,$html);
				}

				if (!$html) die($this->xsldata."\n\n XSLT processing error: ".xslt_error($xsltproc));
				xslt_free($xsltproc);
				return $html;
			}
			else
			{
				echo 'Error: No XSL files have been selected';
			}
		}

		function pparse()
		{
			print $this->parse();
			return False;
		}
		function pp()
		{
			return $this->pparse();
		}
	}
?>
