<xsl:output method="html" version="1.0" encoding="UTF-8" indent="no" omit-xml-declaration="yes" doctype-public="-//W3C/DTD XHTML 1.0 Transitional//EN" doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd" standalone="yes" media-type="text/html"/>
<xsl:template match="/">
<HTML>
<HEAD>
	<xsl:variable name="HEAD_CHARSET"><xsl:value-of select="/PHPGW/PHPGWAPI/HEAD_CHARSET"/></xsl:variable>
	<META http-equiv="Content-Type" content="text/html; charset={$HEAD_CHARSET}"/>
	<META name="AUTHOR" content="phpGroupWare http://www.phpgroupware.org"/>
	<xsl:variable name="HEAD_DESCRIPTION"><xsl:value-of select="/PHPGW/PHPGWAPI/HEAD_DESCRIPTION"/></xsl:variable>
	<META NAME="description" CONTENT="{$HEAD_DESCRIPTION}"/>
	<xsl:variable name="HEAD_KEYWORDS"><xsl:value-of select="/PHPGW/PHPGWAPI/HEAD_KEYWORDS"/></xsl:variable>
	<META NAME="keywords" CONTENT="{$HEAD_KEYWORDS}"/>
	<META name="robots" content="none"/>
	<xsl:variable name="HEAD_TARGET"><xsl:value-of select="/PHPGW/PHPGWAPI/HEAD_TARGET"/></xsl:variable>
	<BASE target="{$HEAD_TARGET}"/>
	<xsl:variable name="HEAD_BROWSER_ICO"><xsl:value-of select="/PHPGW/PHPGWAPI/HEAD_BROWSER_ICO"/></xsl:variable>
	<LINK REL="ICON" href="{$HEAD_BROWSER_ICO}" type="image/x-ico"/>
	<LINK REL="SHORTCUT ICON" href="{$HEAD_BROWSER_ICO}"/>
	<TITLE><xsl:value-of select="/PHPGW/PHPGWAPI/WEBSITE_TITLE"/></TITLE>
	<xsl:value-of select="/PHPGW/PHPGWAPI/HEAD_JAVASCRIPT"/>
	<xsl:value-of select="/PHPGW/PHPGWAPI/CSS"/>
	<xsl:value-of select="/PHPGW/PHPGWAPI/HEAD_TAGS"/>
</HEAD>
<xsl:variable name="BODY_TAGS"><xsl:value-of select="/PHPGW/PHPGWAPI/BODY_TAGS"/></xsl:variable>
<!-- <BODY {$BODY_TAGS}> -->
<BODY>
	<TABLE border="2" width="100%" height="100%" cellspacing="0" cellpadding="0">
		<TR>
			<xsl:variable name="TOP_TABLE_HEIGHT"><xsl:value-of select="/PHPGW/PHPGWAPI/TOP_TABLE_HEIGHT"/></xsl:variable>
			<TD width="100%" height="{$TOP_TABLE_HEIGHT}" align="left" valign="top" colspan="3">
				<xsl:apply-templates select="/PHPGW/PHPGW_TOPPART"/>
			</TD>
		</TR>
		<TR>
			<xsl:variable name="LEFT_TABLE_WIDTH"><xsl:value-of select="/PHPGW/PHPGWAPI/LEFT_TABLE_WIDTH"/></xsl:variable>
			<xsl:variable name="BODY_TABLE_HEIGHT"><xsl:value-of select="/PHPGW/PHPGWAPI/BODY_TABLE_HEIGHT"/></xsl:variable>
			<TD width="{$LEFT_TABLE_WIDTH}" height="{$BODY_TABLE_HEIGHT}" align="left" valign="top">
				<xsl:apply-templates select="/PHPGW/PHPGW_LEFTPART"/>
			</TD>
			<xsl:variable name="BODY_TABLE_WIDTH"><xsl:value-of select="/PHPGW/PHPGWAPI/BODY_TABLE_WIDTH"/></xsl:variable>
			<TD width="{$BODY_TABLE_WIDTH}" height="{$BODY_TABLE_HEIGHT}" align="left" valign="top">
				<xsl:apply-templates select="/PHPGW/PHPGW_MSGBOX"/>
				<xsl:apply-templates select="/PHPGW/PHPGW_BODYPART"/>
			</TD>
			<xsl:variable name="RIGHT_TABLE_WIDTH"><xsl:value-of select="/PHPGW/PHPGWAPI/RIGHT_TABLE_WIDTH"/></xsl:variable>
			<TD width="{$RIGHT_TABLE_WIDTH}" height="{$BODY_TABLE_HEIGHT}" align="right" valign="top">
				<xsl:apply-templates select="/PHPGW/PHPGW_RIGHTPART"/>
			</TD>
		</TR>
		<TR>
			<xsl:variable name="BOTTOM_TABLE_HEIGHT"><xsl:value-of select="/PHPGW/PHPGWAPI/BOTTOM_TABLE_HEIGHT"/></xsl:variable>
			<TD width="100%" height="{$BOTTOM_TABLE_HEIGHT}" align="left" valign="top" colspan="3">
				<xsl:apply-templates select="/PHPGW/PHPGW_BOTTOMPART"/>
			</TD>
		</TR>
	</TABLE>
</BODY>
</HTML>
</xsl:template>
